Subject: Re: bug#29192: 26.0.90; flymake-warning's default color might be inappropriate

From: Stefan Kangas <[email-masked]>
Date: Mon, 10 Aug 2020 09:25:34 -0700

Dmitry Gutov <[email-masked]> writes:

> I've never seen this discussed, and this might be a subjective opinion.
>
> But AFAICT, the flymake-warnline face, previously, used DarkOrange (now
> it's an obsolete alias). Flycheck also uses this color for warnings.
>
> Flymake's own fringe indicators (for warning) also use an orange color
> by default, inheriting it from the `warning' face through
> `compilation-warning'.
>
> So I think that flymake-warning should use it as well.
>
> The current blue is pretty and all, but it conveys an optimistic mood,
> not something I would associate with a warning.

Make sense.  Could you make that change?

Best regards,
Stefan Kangas